<?php

use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Implements hook_views_data().
 */
function user_created_by_views_data() {
  $data = [];

  $data['user_created_by_data']['table'] = [
    'group' => new TranslatableMarkup('User Created By'),
    'join' => [
      'users_field_data' => [
        'left_field' => 'uid',
        'field' => 'uid',
      ],
    ],
  ];

  // Expose the 'creator_uid' as a field.
  $data['user_created_by_data']['creator_uid'] = [
    'title' => new TranslatableMarkup('Creator UID'),
    'help' => new TranslatableMarkup('The user ID of the user who created this user.'),
    'field' => [
      'id' => 'numeric',
    ],
    'filter' => [
      'id' => 'numeric',
    ],
    'sort' => [
      'id' => 'standard',
    ],
    'relationship' => [
      'title' => new TranslatableMarkup('Creator user'),
      'help' => new TranslatableMarkup('Relate to the creator user account.'),
      'base' => 'users',
      'base field' => 'uid',
      'id' => 'standard',
      //'handler' => 'views_handler_relationship',
      'label' => new TranslatableMarkup('Creator'),
    ],
  ];

  return $data;
}
